﻿/* SettingsRepository.cs
 * part of zaaReloaded2
 * 
 * Copyright 2015 Daniel Kraus
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Configuration;
using System.Linq;
using System.Text;

namespace zaaReloaded2.Controller
{
    [Serializable]
    public class SettingsRepository : ApplicationSettingsBase
    {
        #region Persistence

        public static SettingsRepository Load()
        {
            return
                zaaReloaded2.Properties.Settings.Default.SettingsRepository ??
                new SettingsRepository();
        }

        public void Store()
        {
            zaaReloaded2.Properties.Settings.Default.SettingsRepository = this;
            zaaReloaded2.Properties.Settings.Default.Save();
        }

        #endregion

        #region Properties

        [UserScopedSetting()]
        [SettingsSerializeAs(SettingsSerializeAs.Xml)]
        public IList<Settings> Settings { get; private set; }

        #endregion

        #region Constructor

        public SettingsRepository()
        {
            Settings = new List<Settings>();
        }

        #endregion
    }
}
